Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class BeanMap.Entry

    java.lang.Object
      org.apache.commons.collections.keyvalue.AbstractKeyValue
          org.apache.commons.collections.keyvalue.AbstractMapEntry
              org.apache.commons.beanutils.BeanMap.Entry

All Implemented Interfaces:
  Map.Entry, KeyValue

Enclosing class:
  BeanMap

    protected static class BeanMap.Entry

extends AbstractMapEntry

Map entry used by `BeanMap`.

Field Summary

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`key, value`

Constructor Summary
`protected` | `BeanMap.Entry(BeanMap owner, Object key, Object value)` Constructs a new `Entry`.

Method Summary
`Object` | `setValue(Object value)` Sets the value.

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
`equals, hashCode`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`getKey, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`getKey, getValue`

Constructor Detail

### BeanMap.Entry

    protected BeanMap.Entry(BeanMap owner,
                            Object key,
                            Object value)

  Constructs a new `Entry`.

  Parameters:
    `owner` - the BeanMap this entry belongs to
    `key` - the key for this entry
    `value` - the value for this entry

Method Detail

### setValue

    public Object setValue(Object value)

  Sets the value.

  Specified by:
    `setValue` in interface `Map.Entry`
  Overrides:
    `setValue` in class `AbstractMapEntry`
  Parameters:
    `value` - the new value for the entry
  Returns:
    the old value for the entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.